> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update a workspace

PATCH https://api.sigmacomputing.com/v2/workspaces/{workspaceId}
Content-Type: application/json

This endpoint updates the name of an existing workspace identified by its workspaceId.

### Usage notes
- Set `NoDuplicates` to `true` to prevent the creation of a duplicate workspace.
- Retrieve the **workspaceId** by calling the [/v2/workspaces](https://help.sigmacomputing.com/reference/list-workspaces) endpoint.

### Usage scenarios
- **Configuration change**: Allows users to update workspace settings or names as projects evolve or requirements change.
- **Access control adjustments**: Update workspace details in response to organizational changes or policy updates.

### Best practices
- **Partial updates**: Use PATCH to support partial updates, only sending the fields that need to be updated.
- **Validation**: Validate input data to ensure it adheres to expected formats and constraints. Handle errors gracefully and inform the user of any constraints.

Reference: https://help.sigmacomputing.com/reference/update-workspace

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/workspaces/{workspaceId}:
    patch:
      operationId: updateWorkspace
      summary: Update a workspace
      description: >-
        This endpoint updates the name of an existing workspace identified by
        its workspaceId.


        ### Usage notes

        - Set `NoDuplicates` to `true` to prevent the creation of a duplicate
        workspace.

        - Retrieve the **workspaceId** by calling the
        [/v2/workspaces](https://help.sigmacomputing.com/reference/list-workspaces)
        endpoint.


        ### Usage scenarios

        - **Configuration change**: Allows users to update workspace settings or
        names as projects evolve or requirements change.

        - **Access control adjustments**: Update workspace details in response
        to organizational changes or policy updates.


        ### Best practices

        - **Partial updates**: Use PATCH to support partial updates, only
        sending the fields that need to be updated.

        - **Validation**: Validate input data to ensure it adheres to expected
        formats and constraints. Handle errors gracefully and inform the user of
        any constraints.
      tags:
        - Workspaces
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workspaces_updateWorkspace_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the new workspace.
                noDuplicates:
                  type: boolean
                  description: >-
                    Set to true to avoid creating a workspace with a duplicate
                    name.
              required:
                - name
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    workspaces_updateWorkspace_Response_200:
      type: object
      properties:
        workspaceId:
          type: string
        workspaceUrlId:
          type: string
          description: Base62-encoded identifier used in Sigma workspace URLs.
        name:
          type: string
        createdBy:
          type: string
        updatedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - workspaceId
        - workspaceUrlId
        - name
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: workspaces_updateWorkspace_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "name": "Marketing Analytics Workspace"
}
```

**Response**

```json
{
  "workspaceId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "workspaceUrlId": "4f7G9kL2",
  "name": "Marketing Analytics Workspace",
  "createdBy": "jane.doe@company.com",
  "updatedBy": "john.smith@company.com",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-04-20T14:45:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/workspaces/workspaceId"

payload = { "name": "Marketing Analytics Workspace" }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/workspaces/workspaceId';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"name":"Marketing Analytics Workspace"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/workspaces/workspaceId"

	payload := strings.NewReader("{\n  \"name\": \"Marketing Analytics Workspace\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/workspaces/workspaceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Marketing Analytics Workspace\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/workspaces/workspaceId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Marketing Analytics Workspace\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/workspaces/workspaceId', [
  'body' => '{
  "name": "Marketing Analytics Workspace"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/workspaces/workspaceId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Marketing Analytics Workspace\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["name": "Marketing Analytics Workspace"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/workspaces/workspaceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```